# Copyright 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import _, models


class ResUsers(models.Model):
    _inherit = "res.users"

    def password_match_message(self):
        self.ensure_one()
        company_id = self.company_id
        message = []
        if company_id.password_lower:
            message.append(
                _(
                    "\n* Lettre minuscule (au moins %s caractère)"
                    % str(company_id.password_lower)
                )
            )
        if company_id.password_upper:
            message.append(
                _(
                    "\n* Lettre majuscule (au moins %s caractère)"
                    % str(company_id.password_upper)
                )
            )
        if company_id.password_numeric:
            message.append(
                _(
                    "\n* Chiffre numérique (au moins %s caractère)"
                    % str(company_id.password_numeric)
                )
            )
        if company_id.password_special:
            message.append(
                _(
                    "\n* Caractère spécial (au moins %s caractère)"
                    % str(company_id.password_special)
                )
            )
        if message:
            message = [_("Doit contenir: ")] + message
        if company_id.password_length:
            message = [
                _("Le mot de passe doit contenir %d caractère ou plus.")
                % company_id.password_length
            ] + message
        return "\r".join(message)
